/***************************************************************************
 *   Copyright (C) 2005 by Niels Sandholt Busch                            *
 *   niels@diku.dk                                                         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "connectionslist.h"

ConnectionsList::ConnectionsList(QWidget *parent)
 : QTreeWidget(parent)
{
    headerItem()->setText(0, tr("Address"));
    headerItem()->setText(1, tr("Port"));
    headerItem()->setText(2, tr("Sent"));
    headerItem()->setText(3, tr("Queued"));
    headerItem()->setText(4, tr("Dropped"));

    setAlternatingRowColors (true);
}


ConnectionsList::~ConnectionsList()
{
}
