/***************************************************************************
 *   Copyright (C) 2005 by Niels Sandholt Busch   *
 *   niels@diku.dk   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include <QTreeWidget>

#include "connectionlistitem.h"

ConnectionListItem::ConnectionListItem(QTreeWidget* connList, QString address, int port, int sentCount, int queuedCount, int droppedCount ): QTreeWidgetItem( connList ), address( address ), port( port ), sentCount( sentCount ), queuedCount( queuedCount ), droppedCount( droppedCount )
{
    setText( 0, address );
    setText( 1, QString::number(port) );
    setText( 2, QString::number(sentCount) );
    setText( 3, QString::number(queuedCount) );
    setText( 4, QString::number(droppedCount) );
}

ConnectionListItem::~ConnectionListItem()
{
}


