/***************************************************************************
 *   Copyright (C) 2006 by Niels Sandholt Busch                            *
 *   niels@diku.dk                                                         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

/**
@author Andy Gebauer - feivelda@googlemail.com
*/

#include "kommutetrayicon.h"

KommuteTrayIcon::KommuteTrayIcon( const QPixmap &icon, const QString &tooltip, QMenu *popup, QObject *parent )
  : TrayIcon( icon, tooltip, popup, parent )
{
    /**
    Nothing needs to be done here, this function is only to have a constructor for this class
    All values are passed to TrayIcon.
    parent and popup are set by default to 0.
    */    
}

KommuteTrayIcon::~KommuteTrayIcon()
{
    // standard destructor for this class.
    // Do we need some functionality here ?
}
