
TEMPLATE = app
TARGET = kommute
CONFIG += qt
CONFIG += debug
RESOURCES = resources.qrc
QT += network

FORMS = searchresultsview.ui \ 
        kommute.ui \
        searchview.ui \
        setupwizard.ui \
        settingsgui.ui \
        listdialog.ui \
        fhelp.ui \
        fabout.ui \
        connect/ConnectDialog.ui \
        properities/CommentsDialog.ui \
        properities/DetailsDialog.ui \

SOURCES += main.cpp \
           kommute.cpp \
           searchview.cpp\
           mutelayer.cpp \
	   multiview.cpp \
           ConnectionsPage.cpp \
           connectionsthread.cpp \
           connectioncountevent.cpp \
           connectionattemptevent.cpp \
           connectionevent.cpp \
           connectionquality.cpp \
           uploadsthread.cpp \
           uploadscountevent.cpp \
           uploadevent.cpp \
           uploadlistitem.cpp \
           uploadslist.cpp \
           searchthread.cpp \
           searchresultevent.cpp \
           searchresultstabwidget.cpp \
           searchresultsview.cpp \
           searchresultstable.cpp \
           downloadthread.cpp \
           download.cpp \
           downloadstatusevent.cpp \
           downloadfileevent.cpp \
           downloadstable.cpp \
           closesearchthreadqueue.cpp \
           closesearchthreadconsumer.cpp \
           settings.cpp \
           setupwizard.cpp \
           kommuteutils.cpp \
           keygenthread.cpp \
           webhostcachesdownload.cpp \
           settingsgui.cpp \
           settingshelper.cpp \
           listdialog.cpp \
           mutestopthread.cpp \
           numberofconnections.cpp \
           fhelp.cpp \
           fabout.cpp \
           hashthread.cpp \
           kommuteversion.cpp \
           DLListDelegate.cpp \
           graphframe.cpp \
           xprogressbar.cpp \
           StatisticPage.cpp \
           SharedFilesPage.cpp \
           sharedfileslist.cpp \
           sharedfilesevent.cpp \
           SFListDelegate.cpp \
           ConnectionsListDelegate.cpp \
           connect/ConnectDialog.cpp \
           properities/CommentsDialog.cpp \
           properities/DetailsDialog.cpp \
	   MUTE/fileShare.cpp \
	   MUTE/OutboundChannelManager.cpp \
	   MUTE/ChannelReceivingThread.cpp MUTE/StopSignalThread.cpp MUTE/FinishedSignalThread.cpp \
	   MUTE/sha1.cpp MUTE/MimeTyper.cpp \

HEADERS += kommute.h \
           searchview.h \
           mutelayer.h \
           connectionsthread.h \
           connectioncountevent.h \
           connectionattemptevent.h \
           connectionevent.h \
           connectionquality.h \
           uploadsthread.h \
           uploadscountevent.h \
           uploadevent.h \
           uploadlistitem.h \
           uploadslist.h \
           searchthread.h \
           searchresultevent.h \
           searchresultstabwidget.h \
           searchresultsview.h \
           searchresultstable.h \
           downloadthread.h \
           download.h \
           downloadstatusevent.h \
           downloadfileevent.h \
           downloadstable.h \
           closesearchthreadqueue.h \
           closesearchthreadconsumer.h \
           settings.h \
           setupwizard.h \
           kommuteutils.h \
           keygenthread.h \
           webhostcachesdownload.h \
           settingsgui.h \
           settingshelper.h \
           listdialog.h \
           mutestopthread.h \
           numberofconnections.h \
           fhelp.h \
           fabout.h \
           resources/kommute_win.rc.h \
           kommuteversion.h \
           hashthread.h \
           DLListDelegate.h \
           graphframe.h \
           linetypes.h \
           xprogressbar.h \
           SearchListDelegate.h \
           misc.h \
           sharedfileslist.h \
           sharedfilesevent.h \
           SFListDelegate.h \
           ConnectionsListDelegate.h \
           connect/ConnectDialog.h \
           properities/CommentsDialog.h \
           properities/DetailsDialog.h \
	   MUTE/fileShare.h MUTE/StopSignalThread.h MUTE/FinishedSignalThread.h \
	   MUTE/sha1.h MUTE/MimeTyper.h \

TRANSLATIONS += translations/kommute_de.ts \
                translations/kommute_sp.ts \
                translations/kommute_it.ts \
                translations/kommute_da.ts \
                translations/kommute_tr.ts \
		translations/kommute_fr.ts \

INCLUDEPATH += ../../

#LIBS += ../../MUTE/otherApps/fileSharing/libmuteFileShare.a ../../MUTE/layers/messageRouting/libmuteMessageRouter.a ../../MUTE/crypto/libcrypto.a
LIBS += ../../MUTE/layers/messageRouting/libmuteMessageRouter.a ../../MUTE/crypto/libcrypto.a

win32 { 
	RC_FILE = resources/kommute_win.rc
    LIBS += -lwsock32
    DEFINES += WIN_32


}

